// instrument by jscoverage, do not modifly this file
(function () {
  var BASE;
  if (typeof global === 'object') {
    BASE = global;
  } else if (typeof window === 'object') {
    BASE = window;
  } else {
    throw new Error('[jscoverage] unknow ENV!');
  }
  if (!BASE._$jscoverage) {
    BASE._$jscoverage = {};
    BASE._$jscoverage_cond = {};
    BASE._$jscoverage_done = function (file, line, express) {
      if (arguments.length === 2) {
        BASE._$jscoverage[file][line] ++;
      } else {
        BASE._$jscoverage_cond[file][line] ++;
        return express;
      }
    };
    BASE._$jscoverage_init = function (base, file, lines) {
      var tmp = [];
      for (var i = 0; i < lines.length; i ++) {
        tmp[lines[i]] = 0;
      }
      base[file] = tmp;
    };
  }
})();
_$jscoverage_init(_$jscoverage, "test/mock/mock-Apemanfile.js",[1,2,4,10]);
_$jscoverage_init(_$jscoverage_cond, "test/mock/mock-Apemanfile.js",[]);
_$jscoverage["test/mock/mock-Apemanfile.js"].source = ["module.exports = function () {","    return {","        meta: function () {","            return {","                name: 'foo',","                version: '0.0.4'","            }","        },","        tasks: function () {","            return {","                installNodePackages: {","                    config: {}","                },","                installNodeDevPackages: {","                    config: {}","                }","            }","        }","    }","};"];
_$jscoverage_done("test/mock/mock-Apemanfile.js", 1);
module.exports = function() {
    _$jscoverage_done("test/mock/mock-Apemanfile.js", 2);
    return {
        meta: function() {
            _$jscoverage_done("test/mock/mock-Apemanfile.js", 4);
            return {
                name: "foo",
                version: "0.0.4"
            };
        },
        tasks: function() {
            _$jscoverage_done("test/mock/mock-Apemanfile.js", 10);
            return {
                installNodePackages: {
                    config: {}
                },
                installNodeDevPackages: {
                    config: {}
                }
            };
        }
    };
};